package com.iamberry.wechat.core.entity.cart;

import java.util.HashMap;
import java.util.List;

import com.iamberry.wechat.core.entity.coupon.CouponItemDto;

/**
 * @author 何秀刚
 * Class Description: 支付页面DTO
 * Create Date:2016年4月20日
 * Update Date:2016年4月20日
 */
public class OrderPayDto implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -381691465912815339L;

	private List<CartDto> cartItems; // 订单项
	
	private Integer userIntegral; // 可用积分
	
	private Integer payTotal; // 支付金额, 单位为分
	
	private boolean isSuccess; // 是否请求成功
	
	private String errorInfo; // 错误信息
	
	private String meonyProportion; // 积分和人民币的比例 一个积分抵扣多少元人民币

	private Integer userIsVip;		//是否为vip ：1:非vip  2：vip
	
	private String cartId; // 购物车ID，点击去支付时，需要传回来
	
	private int balance ; //账户余额
	
	private HashMap addressInfo;//收货地址

	private boolean hasPreFerential;//含有vip赠送的优惠

	private List<CouponItemDto>  couponItems ;//优惠券集合

	public String getCartId() {
		return cartId;
	}

	public void setCartId(String cartId) {
		this.cartId = cartId;
	}

	public String getMeonyProportion() {
		return meonyProportion;
	}

	public void setMeonyProportion(String meonyProportion) {
		this.meonyProportion = meonyProportion;
	}

	public boolean isSuccess() {
		return isSuccess;
	}

	public void setSuccess(boolean isSuccess) {
		this.isSuccess = isSuccess;
	}

	public String getErrorInfo() {
		return errorInfo;
	}

	public void setErrorInfo(String errorInfo) {
		this.errorInfo = errorInfo;
	}

	public List<CartDto> getCartItems() {
		return cartItems;
	}

	public void setCartItems(List<CartDto> cartItems) {
		this.cartItems = cartItems;
	}

	public Integer getUserIntegral() {
		return userIntegral;
	}

	public void setUserIntegral(Integer userIntegral) {
		this.userIntegral = userIntegral;
	}

	public Integer getPayTotal() {
		return payTotal;
	}

	public void setPayTotal(Integer payTotal) {
		this.payTotal = payTotal;
	}

	public int getBalance() {
		return balance;
	}

	public void setBalance(int balance) {
		this.balance = balance;
	}

	public List<CouponItemDto> getCouponItems() {
		return couponItems;
	}

	public void setCouponItems(List<CouponItemDto> couponItems) {
		this.couponItems = couponItems;
	}

	public HashMap getAddressInfo() {
		return addressInfo;
	}

	public void setAddressInfo(HashMap addressInfo) {
		this.addressInfo = addressInfo;
	}


	public Integer getUserIsVip() {
		return userIsVip;
	}

	public void setUserIsVip(Integer userIsVip) {
		this.userIsVip = userIsVip;
	}

	public boolean isHasPreFerential() {
		return hasPreFerential;
	}

	public void setHasPreFerential(boolean hasPreFerential) {
		this.hasPreFerential = hasPreFerential;
	}
}
